﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.Windows.Forms.Chart;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {

        ChartSeries series = new ChartSeries("Series1");
        series.Points.Add(1, 30);
        series.Points.Add(2, 15);
        series.Points.Add(3, 35);
        series.Points.Add(4, 20);
        series.Points.Add(5, 100);
        series.Type = ChartSeriesType.Scatter;
        this.ChartWebControl1.Series.Add(series);

        ChartSeries series1 = new ChartSeries("Series2");
        series1.Points.Add(1, 20);
        series1.Points.Add(2, 35);
        series1.Points.Add(3, 25);
        series1.Points.Add(4, 50);
        series1.Points.Add(5, 80);
        series1.Type = ChartSeriesType.Scatter;
        this.ChartWebControl1.Series.Add(series1);


        this.ChartWebControl1.ShowLegend = true;
        this.ChartWebControl1.LegendsPlacement = ChartPlacement.Outside;
        this.ChartWebControl1.Legend.Alignment = ChartAlignment.Center;
        this.ChartWebControl1.LegendPosition = ChartDock.Top;
        this.ChartWebControl1.Legend.Font.Name = "Sans-Serif";
        this.ChartWebControl1.Legend.Font.Size = new FontUnit(10,UnitType.Pixel);
        this.ChartWebControl1.Legend.RepresentationType = ChartLegendRepresentationType.StraightLine;
    }
}
